Complete Passkey authentication
POST
/v1/auth/2fa/passkey/authenticate
const url = 'https://api.parasta.io/v1/auth/2fa/passkey/authenticate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"id":"example","rawId":"example","response":{"authenticatorData":"example","clientDataJSON":"example","signature":"example","userHandle":"example"},"type":"public-key"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/auth/2fa/passkey/authenticate \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "rawId": "example", "response": { "authenticatorData": "example", "clientDataJSON": "example", "signature": "example", "userHandle": "example" }, "type": "public-key" }'Authorizations
Section titled “Authorizations ”- None
- BearerAuth
Request Body required
Section titled “Request Body required ” Media type application/json
object
id
required
string
rawId
required
string
response
required
object
authenticatorData
string
clientDataJSON
string
signature
string
userHandle
string
type
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
verified
boolean
Example generated
{ "verified": true}